summaryrefslogtreecommitdiffstats
path: root/system/fpm2
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 22:55:16 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:16 +0200
commit0b8fd89fd65d0d6724963dd18109af0fcc5c9fe4 (patch)
tree2c9d6eb36e494e820744b20b8cb618461a369436 /system/fpm2
parent565d7cfb6e1213ecf755c36556978c436bf2f9c9 (diff)
downloadslackbuilds-0b8fd89fd65d0d6724963dd18109af0fcc5c9fe4.tar.gz
slackbuilds-0b8fd89fd65d0d6724963dd18109af0fcc5c9fe4.tar.xz
system/fpm2: Added to 12.1 repository
Diffstat (limited to 'system/fpm2')
-rw-r--r--system/fpm2/README20
-rw-r--r--system/fpm2/doinst.sh3
-rw-r--r--system/fpm2/fpm2.SlackBuild60
-rw-r--r--system/fpm2/fpm2.info8
-rw-r--r--system/fpm2/slack-desc11
5 files changed, 102 insertions, 0 deletions
diff --git a/system/fpm2/README b/system/fpm2/README
new file mode 100644
index 0000000000..8911349fb9
--- /dev/null
+++ b/system/fpm2/README
@@ -0,0 +1,20 @@
+Figaro's Password Manager 2 is a program that allows you to securely store the
+passwords using GTK2 interface.
+
+Features include:
+
+- Passwords are encrypted with the blowfish algorithm.
+- Copy passwords or usernames to the clipboard/primary selection.
+- If the password is for a web site, FPM2 can keep track of the URLs of your
+ login screens and can automatically launch your browser. In this capacity,
+ FPM2 acts as a kind of bookmark manager.
+- Combine all three features: you can configure FPM2 to bring you to a web
+ login screen, copy your username to the clipboard and your password to the
+ primary selection, all with a single button click.
+- FPM2 also has a password generator that can choose passwords for you. It
+ allows you to determine how long the password should be, and what types of
+ characters (lower case, upper case, numbers and symbols) should be used.
+ You can even have it avoid ambiguous characters such as a capital O or the
+ number zero.
+- Auto-minimise and/or auto-locking passwords database after configurable
+ time to the tray icon.
diff --git a/system/fpm2/doinst.sh b/system/fpm2/doinst.sh
new file mode 100644
index 0000000000..854e20633d
--- /dev/null
+++ b/system/fpm2/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/system/fpm2/fpm2.SlackBuild b/system/fpm2/fpm2.SlackBuild
new file mode 100644
index 0000000000..a3cba5e0af
--- /dev/null
+++ b/system/fpm2/fpm2.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for FPM2
+# Written by Erik Hanson erik@slackbuilds.org
+
+set -eu
+
+PRGNAM=fpm2
+VERSION=${VERSION:-0.72}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --mandir=/usr/man \
+ --disable-static
+
+make
+make install-strip DESTDIR=$PKG
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/fpm2/fpm2.info b/system/fpm2/fpm2.info
new file mode 100644
index 0000000000..1ce30b1829
--- /dev/null
+++ b/system/fpm2/fpm2.info
@@ -0,0 +1,8 @@
+PRGNAM="fpm2"
+VERSION="0.72"
+HOMEPAGE="http://als.regnet.cz/fpm2/"
+DOWNLOAD="http://als.regnet.cz/fpm2/download/fpm2-0.72.tar.bz2"
+MD5SUM="608e78db5b771a719ad1aeb506b92fb2"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="David Somero"
diff --git a/system/fpm2/slack-desc b/system/fpm2/slack-desc
new file mode 100644
index 0000000000..9b2088aadb
--- /dev/null
+++ b/system/fpm2/slack-desc
@@ -0,0 +1,11 @@
+fpm2: FPM2 (Figaro's Password Manager 2)
+fpm2:
+fpm2: Figaro's Password Manager 2 is a program that allows you to securely
+fpm2: store the passwords using GTK2 interface.
+fpm2:
+fpm2:
+fpm2:
+fpm2:
+fpm2:
+fpm2: http://als.regnet.cz/fpm2/
+fpm2: